LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Functions
receive.h File Reference
User-space driver API

### (7dca803 2015-08-01 10:47:12 +0200)

Functions that decode IR codes. More...

`#include "ir_remote.h"`

Go to the source code of this file.

## Macros
#define | MIN_RECEIVE_TIMEOUT 100000

## Functions
void | rec_set_update_mode (int mode)
void | rec_buffer_set_logfile (FILE *f)
int | waitfordata (__u32 maxusec)
void | rec_buffer_init (void)
int | rec_buffer_clear (void)
int | receive_decode (struct ir_remote *remote, struct decode_ctx_t *ctx)
void | rec_buffer_rewind (void)
void | rec_buffer_reset_wptr (void)

## Detailed Description

Functions that decode IR codes.

Author
  Christoph Bartelmus

Definition in file receive.h.